Show / Hide Table of Contents

# Class MCHGauge

In-memory MCH job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<MachinistGauge>
MCHGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class MCHGauge : JobGaugeBase<MachinistGauge>

### Properties

| Improve this Doc View Source

#### Battery

Gets the current Battery level.

##### Declaration

    public byte Battery { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Heat

Gets the current Heat level.

##### Declaration

    public byte Heat { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsOverheated

Gets a value indicating whether the player is currently Overheated.

##### Declaration

    public bool IsOverheated { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsRobotActive

Gets a value indicating whether the player has an active Robot.

##### Declaration

    public bool IsRobotActive { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### LastSummonBatteryPower

Gets the battery level of the last summon (robot).

##### Declaration

    public byte LastSummonBatteryPower { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### OverheatTimeRemaining

Gets the time time remaining for Overheat in milliseconds.

##### Declaration

    public short OverheatTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SummonTimeRemaining

Gets the time remaining for the Rook or Queen in milliseconds.

##### Declaration

    public short SummonTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |